package com.example.service04;

import java.util.List;


public class Alarm
{
	 
    int id;
    String note;
    int status;
    String created_at;
 
    String nom;
    String etat;
    long time_milliseconds;
    
    
    private long createdTime;
	private long modifiedTime;
	private String name;
	private String fromDate;
	private String toDate;
	private String rule;
	private String interval;
	private Boolean sound = Boolean.FALSE;
	
    
    // constructors
    public Alarm()
    {
    }
    
    public Alarm(String nom, String etat, long time_milliseconds  )
    {
        this.nom = nom;
        this.etat = etat;
    	this.time_milliseconds = time_milliseconds;
        
    }
 
    public Alarm(String note, int status)
    {
        this.note = note;
        this.status = status;
    }
 
    public Alarm(int id, String note, int status)
    {
        this.id = id;
        this.note = note;
        this.status = status;
    }
    
    
    public void reset()
	{
		//super.reset();
		createdTime = 0;
		modifiedTime = 0;
		name = null;
		fromDate = null;
		toDate = null;
		rule = null;
		interval = null;
		sound = Boolean.FALSE;
	}	
        
    // setters
    public void setId(int id)
    {
        this.id = id;
    }
    
    
    public void set_nom(String nom)
    {
        this.nom = nom;
    }
    
    public void set_etat(String etat)
    {
        this.etat = etat;
    }
    
   
	public void setCreatedTime(long createdTime) 
	{
		this.createdTime = createdTime;
	}
	
	public void setModifiedTime(long modifiedTime) 
	{
		this.modifiedTime = modifiedTime;
	}
    
 
    public void setNote(String note) {
        this.note = note;
    }
 
    public void setStatus(int status) {
        this.status = status;
    }
     
    public void setCreatedAt(String created_at)
    {
        this.created_at = created_at;
    }
 
   
    
    public void set_time_milliseconds(int time_milliseconds)
    {
        this.time_milliseconds = time_milliseconds;
        
    }
    
    public void setFromDate(String fromDate)
	{
		this.fromDate = fromDate;
	}
    
    public void setToDate(String toDate) 
	{
		this.toDate = toDate;
	}
    
    public void setRule(String rule) 
	{
		this.rule = rule;
	}
    
    public void setInterval(String interval) 
	{
		this.interval = interval;
	}
    
    
///////////////////////////////////////////////// getters
    public long getId() {
        return this.id;
    }
 
    public String getNote() 
    {
        return this.note;
    }
 
    public int getStatus() {
        return this.status;
    }
    
    public String get_nom()
    {
    	return this.nom;
    }
    
    public String get_etat()
    {
    	return this.etat;
    }
    
    public long get_time_milliseconds()
    {
    	  return this.time_milliseconds;
    }
    
    public long getCreatedTime()
	{
		return createdTime;
	}

    public long getModifiedTime() 
    {
	return modifiedTime;
    }
    
    public String getFromDate() 
	{
		return fromDate;
	}
    
    public String getToDate() 
	{
		return toDate;
	}
    
    public String getRule() 
	{
		return rule;
	}
    
   
    public String getInterval()
	{
		return interval;
	}
    
}